diff -urN -X diff-exclude.txt /var/tmp/ax7z_src-orig/sqlite3/sqlite3helper.h ./sqlite3/sqlite3helper.h
--- /var/tmp/ax7z_src-orig/sqlite3/sqlite3helper.h	1970-01-01 09:00:00.000000000 +0900
+++ ./sqlite3/sqlite3helper.h	2015-01-09 00:41:22.509864600 +0900
@@ -0,0 +1,151 @@
+#ifndef SQLITE3HELPER_H
+#define SQLITE3HELPER_H
+
+#include "sqlite3helper_decl.h"
+#include "sqlite3.h"
+
+namespace yak {
+namespace sqlite {
+
+// TODO: Move support
+
+// Tiny wrapper to sqlite3
+#define CHECK(exp) do { if((exp) != SQLITE_OK) { throw sqlite_error(this->errmsg()); } } while(0)
+inline Database::Database() : m_db(0) {}
+inline Database::Database(const char* dbfile)
+{
+	CHECK(sqlite3_open(dbfile, &m_db));
+}
+inline Database& Database::reopen(const char* dbfile)
+{
+	// TODO: check return value
+	CHECK(sqlite3_close(m_db));
+	CHECK(sqlite3_open(dbfile, &m_db));
+	return *this;
+}
+inline Database::~Database()
+{
+	sqlite3_close(m_db); // no throw
+}
+inline void Database::close()
+{
+	CHECK(sqlite3_close(m_db));
+	m_db = 0;
+}
+inline const Database& Database::exec(const char* sql) const
+{
+	CHECK(sqlite3_exec(m_db, sql, 0, 0, 0));
+	return *this;
+}
+inline const char* Database::errmsg() const
+{
+	return sqlite3_errmsg(m_db);
+}
+inline Database::operator sqlite3*() const { return m_db; }
+#undef CHECK
+
+// Tiny wrapper to sqlite3_stmt
+inline Statement::Statement() : m_stmt(0) {}
+inline Statement::Statement(sqlite3 *db, const char* sql)
+{
+	sqlite3_prepare_v2(db, sql, -1, &m_stmt, NULL);
+}
+inline Statement& Statement::reprepare(sqlite3 *db, const char* sql)
+{
+	sqlite3_finalize(m_stmt);
+	sqlite3_prepare_v2(db, sql, -1, &m_stmt, NULL);
+	return *this;
+}
+inline const Statement& Statement::reset() const
+{
+	if(!m_stmt) throw std::logic_error("not prepared");
+	sqlite3_reset(m_stmt);
+	return *this;
+}
+inline Statement& Statement::finalize()
+{
+	sqlite3_finalize(m_stmt);
+	m_stmt = 0;
+	return *this;
+}
+inline Statement::~Statement()
+{
+	sqlite3_finalize(m_stmt);
+}
+inline const Statement& Statement::bind(int idx, int value) const
+{
+	if(!m_stmt) throw std::logic_error("not prepared");
+	sqlite3_bind_int(m_stmt, idx, value);
+	return *this;
+}
+inline const Statement& Statement::bind(int idx, unsigned int value) const
+{
+	if(!m_stmt) throw std::logic_error("not prepared");
+	sqlite3_bind_int64(m_stmt, idx, value);
+	return *this;
+}
+inline const Statement& Statement::bind(int idx, int64_t value) const
+{
+	if(!m_stmt) throw std::logic_error("not prepared");
+	sqlite3_bind_int64(m_stmt, idx, value);
+	return *this;
+}
+inline const Statement& Statement::bind(int idx, const char* value) const
+{
+	if(!m_stmt) throw std::logic_error("not prepared");
+	sqlite3_bind_text(m_stmt, idx, value, -1, SQLITE_TRANSIENT);
+	return *this;
+}
+inline const Statement& Statement::bind(int idx, const void* value, int size, void (*func)(void*)) const
+{
+	if(!m_stmt) throw std::logic_error("not prepared");
+	sqlite3_bind_blob(m_stmt, idx, value, size, func);
+	return *this;
+}
+inline bool Statement::operator()() const
+{
+	if(!m_stmt) throw std::logic_error("not prepared");
+// TODO: catch error on prepare()
+	return sqlite3_step(m_stmt) == SQLITE_ROW;
+}
+inline int Statement::get_int(int idx) const
+{
+	return sqlite3_column_int(m_stmt, idx);
+}
+inline int64_t Statement::get_int64(int idx) const
+{
+	return sqlite3_column_int64(m_stmt, idx);
+}
+inline double Statement::get_double(int idx) const
+{
+	return sqlite3_column_double(m_stmt, idx);
+}
+inline const char* Statement::get_text(int idx) const
+{
+	return static_cast<const char*>(static_cast<const void*>(sqlite3_column_text(m_stmt, idx)));
+}
+inline const void* Statement::get_blob(int idx) const
+{
+	return sqlite3_column_blob(m_stmt, idx);
+}
+inline int Statement::get_bytes(int idx) const
+{
+	return sqlite3_column_bytes(m_stmt, idx);
+}
+inline const char* Statement::get_name(int idx) const
+{
+	return sqlite3_column_name(m_stmt, idx);
+}
+inline int Statement::get_type(int idx) const
+{
+	return sqlite3_column_type(m_stmt, idx);
+}
+inline int Statement::get_count() const
+{
+	return sqlite3_column_count(m_stmt);
+}
+
+} // namespace sqlite
+} // namespace yak
+
+#endif
diff -urN -X diff-exclude.txt /var/tmp/ax7z_src-orig/sqlite3/sqlite3helper_decl.h ./sqlite3/sqlite3helper_decl.h
--- /var/tmp/ax7z_src-orig/sqlite3/sqlite3helper_decl.h	1970-01-01 09:00:00.000000000 +0900
+++ ./sqlite3/sqlite3helper_decl.h	2015-01-09 00:41:22.513865000 +0900
@@ -0,0 +1,70 @@
+#ifndef SQLITE3HELPER_DECL_H
+#define SQLITE3HELPER_DECL_H
+
+#include <stdexcept>
+#include <stdint.h>
+
+struct sqlite3;
+struct sqlite3_stmt;
+
+namespace yak {
+namespace sqlite {
+
+struct sqlite_error : std::runtime_error
+{
+	sqlite_error(const char* msg) : std::runtime_error(msg) {}
+};
+
+// Tiny wrapper to sqlite3
+class Database
+{
+private:
+	sqlite3* m_db;
+	Database& operator=(const Database&);
+	Database(const Database&);
+public:
+	Database();
+	Database(const char* dbfile);
+	Database& reopen(const char* dbfile);
+	~Database();
+	void close();
+	const Database& exec(const char* sql) const;
+	const char* errmsg() const;
+	operator sqlite3*() const;
+};
+
+// Tiny wrapper to sqlite3_stmt
+class Statement
+{
+private:
+	sqlite3_stmt *m_stmt;
+	Statement& operator=(const Statement&);
+	Statement(const Statement&);
+public:
+	Statement();
+	Statement(sqlite3 *db, const char* sql);
+	Statement& reprepare(sqlite3 *db, const char* sql);
+	const Statement& reset() const;
+	Statement& finalize();
+	~Statement();
+	const Statement& bind(int idx, int value) const;
+	const Statement& bind(int idx, unsigned int value) const;
+	const Statement& bind(int idx, int64_t value) const;
+	const Statement& bind(int idx, const char* value) const;
+	const Statement& bind(int idx, const void* value, int size, void (*func)(void*) = reinterpret_cast<void(*)(void*)>(-1) /* SQLITE_TRANSIENT */) const;
+	bool operator()() const;
+	int get_int(int idx) const;
+	int64_t get_int64(int idx) const;
+	double get_double(int idx) const;
+	const char* get_text(int idx) const;
+	const void* get_blob(int idx) const;
+	int get_bytes(int idx) const;
+	const char* get_name(int idx) const;
+	int get_type(int idx) const;
+	int get_count() const;
+};
+
+} // namespace sqlite
+} // namespace yak
+
+#endif
diff -urN -X diff-exclude.txt /var/tmp/ax7z_src-orig/version.hpp ./version.hpp
--- /var/tmp/ax7z_src-orig/version.hpp	1970-01-01 09:00:00.000000000 +0900
+++ ./version.hpp	2013-08-14 15:06:26.070136300 +0900
@@ -0,0 +1,102 @@
+#ifndef YAK_UTIL_WINDOWS_HPP
+#define YAK_UTIL_WINDOWS_HPP
+
+#include <windows.h>
+
+#include <vector>
+#include <string>
+#include <stdexcept>
+
+namespace yak {
+namespace util {
+namespace windows {
+
+class VersionResource
+{
+public:
+	VersionResource(const std::string &sPath) : pTrans(0)
+	{
+		const char* sz = sPath.c_str();
+		DWORD dwDummy;
+		DWORD dwSize = GetFileVersionInfoSize(sz, &dwDummy);
+		if(!dwSize) throw std::runtime_error("File not found");
+		buf.resize(dwSize);
+		GetFileVersionInfo(sz, 0, dwSize, &buf[0]);
+	}
+	struct LANGANDCODEPAGE
+	{
+		WORD wLanguage;
+		WORD wCodePage;
+	};
+	UINT GetLangAndCodePageCount() const
+	{
+		if(!pTrans) SetTranslation();
+		return uiTrans / sizeof(LANGANDCODEPAGE);
+	}
+	const LANGANDCODEPAGE& GetLangAndCodePage(UINT idx) const
+	{
+		if(!pTrans) SetTranslation();
+		return pTrans[idx];
+	}
+	enum VT_TYPE {
+		COMMENTS, COMPANY_NAME, FILE_DESCRIPTION, FILE_VERSION,
+		INTERNAL_NAME, LEGAL_COPYRIGHT, LEGAL_TRADEMARKS, ORIGINAL_FILENAME,
+		PRODUCT_NAME, PRODUCT_VERSION, PRIVATE_BUILD, SPECIAL_BUID,
+		EOT,
+	};
+	bool IsExisted(VT_TYPE type, UINT idx = 0) const
+	{
+		std::string key = Key(type, idx);
+		LPVOID p; UINT ui;
+		// Probably win32api declaration error
+		return VerQueryValue(const_cast<BYTE*>(&buf[0]), const_cast<LPSTR>(key.c_str()), &p, &ui) ? true : false;
+	}
+	std::string GetValue(VT_TYPE type, UINT idx = 0) const
+	{
+		std::string key = Key(type, idx);
+		LPVOID p; UINT ui;
+		// Probably win32api declaration error
+		if(VerQueryValue(const_cast<BYTE*>(&buf[0]), const_cast<LPSTR>(key.c_str()), &p, &ui)) {
+			return std::string(static_cast<char*>(p));
+		} else return std::string();
+	}
+	static const char* GetKeyName(VT_TYPE idx)
+	{
+		static const char* const szBlockName[] = {
+			"Comments", "CompanyName", "FileDescription", "FileVersion",
+			"InternalName", "LegalCopyright", "LegalTrademarks", "OriginalFilename",
+			"ProductName", "ProductVersion", "PrivateBuild", "SpecialBuild",
+		};
+		const UINT num = sizeof(szBlockName) / sizeof(szBlockName[0]);
+		if(idx < num) return szBlockName[idx];
+		else return 0;
+	}
+private:
+	void SetTranslation() const
+	{
+		LPVOID p;
+		// Probably win32api declaration error
+		VerQueryValue(const_cast<BYTE*>(&buf[0]), "\\VarFileInfo\\Translation", &p, &uiTrans);
+		pTrans = static_cast<LANGANDCODEPAGE*>(p);
+	}
+	std::string Key(VT_TYPE type, UINT idx) const
+	{
+		if(!pTrans) SetTranslation();
+		std::string buf2(4096, '\0');
+		const char* key = GetKeyName(type);
+		if(key) {
+			std::size_t size = wsprintf(&buf2[0], "\\StringFileInfo\\%04x%04x\\%s", pTrans[idx].wLanguage, pTrans[idx].wCodePage, key);
+			buf2.resize(size);
+		} else buf2.resize(0);
+		return buf2;
+	}
+	std::vector<BYTE> buf;
+	mutable LANGANDCODEPAGE *pTrans;
+	mutable UINT uiTrans;
+};
+
+} // namespace windows
+} // namespace util
+} // namespace yak
+
+#endif
--- /var/tmp/ax7z_src-orig/7z/7zip/UI/Common/OpenArchive.cpp	2007-08-28 17:57:45.000000000 +0900
+++ 7z/7zip/UI/Common/OpenArchive.cpp	2013-04-12 00:17:02.204427800 +0900
@@ -155,6 +155,26 @@
     }
     orderIndices2 += orderIndices;
     orderIndices = orderIndices2;
+
+/* begin: extracted from 4.65 */
+    if (orderIndices.Size() >= 2)
+    {
+      int isoIndex = codecs->FindFormatForArchiveType(L"iso");
+      int udfIndex = codecs->FindFormatForArchiveType(L"udf");
+      int iIso = -1;
+      int iUdf = -1;
+      for (int i = 0; i < orderIndices.Size(); i++)
+      {
+        if (orderIndices[i] == isoIndex) iIso = i;
+        if (orderIndices[i] == udfIndex) iUdf = i;
+      }
+      if (iUdf == iIso + 1)
+      {
+        orderIndices[iUdf] = isoIndex;
+        orderIndices[iIso] = udfIndex;
+      }
+    }
+/* end: extracted from 4.65 */
   }
   else if (extension == L"000" || extension == L"001")
   {
--- /var/tmp/ax7z_src-orig/7z/7zip/UI/Common/LoadCodecs.cpp	2007-10-24 18:44:50.000000000 +0900
+++ 7z/7zip/UI/Common/LoadCodecs.cpp	2013-04-12 00:17:02.201427500 +0900
@@ -468,9 +468,11 @@
   for (int i = 0; i < Formats.Size(); i++)
   {
     const CArcInfoEx &arc = Formats[i];
-    if (!arc.UpdateEnabled)
-      continue;
-    if (arc.Name.CompareNoCase(arcType) == 0)
+// begin: adjusted to 4.65
+//    if (!arc.UpdateEnabled)
+//      continue;
+// end: adjusted to 4.65
+	if (arc.Name.CompareNoCase(arcType) == 0)
       return i;
   }
   return -1;
